Package net.snowflake.client.loader

## Interface Loader

All Known Implementing Classes:
  `StreamLoader`

    public interface Loader

Bulk loader for Snowflake

### Nested Class Summary

Nested Classes
`static class` `Loader.ConnectionError`
`static class` `Loader.DataError`

### Field Summary

Fields
`static String` `BASE`
`static String` `tmpdir`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close connections that have been provided upon initialization
`void` `finish()` Finishes processing and commits or rolls back.
`LoadResultListener` `getListener()`
`void` `resetOperation​(Operation op)` If operation is changed, previous data is committed
`void` `rollback()` Rollback uncommitted changes.
`void` `setListener​(LoadResultListener listener)`
`void` `setProperty​(LoaderProperty property, Object value)`
`void` `start()` Initiates loading threads.
`void` `submitRow​(Object[] data)` Pass row data

### Field Detail

#### tmpdir

    static final String tmpdir

#### BASE

    static final String BASE

### Method Detail

#### setProperty

    void setProperty​(LoaderProperty property,
                     Object value)

#### setListener

    void setListener​(LoadResultListener listener)

#### start

    void start()

Initiates loading threads. Executes "before" statement

#### submitRow

    void submitRow​(Object[] data)

Pass row data

Parameters:
  `data` - , must match shape of the table (requested columns, in the order provided)

#### resetOperation

    void resetOperation​(Operation op)

If operation is changed, previous data is committed

Parameters:
  `op` - operation will be reset

#### rollback

    void rollback()

Rollback uncommitted changes. If no transaction was initialized, indeterminate fraction of rows could have been committed.

#### finish

    void finish()
         throws Exception

Finishes processing and commits or rolls back. Will throw the exception that was the cause of an abort

Throws:
  `Exception` - if that was the cause of an abort

#### close

    void close()

Close connections that have been provided upon initialization

#### getListener

    LoadResultListener getListener()